Bug 88406 - devel/apr-svn picks up e2fsprogs header and fails to compile
Summary: devel/apr-svn picks up e2fsprogs header and fails to compile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Craig Rodrigues
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-11-02 19:50 UTC by Michael Nottebrock
Modified: 2006-06-05 06:47 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Nottebrock freebsd_committer 2005-11-02 19:50:16 UTC
/bin/sh /usr/ports/devel/apr/work/apr-1.2.2/libtool --silent --mode=compile i386-portbld-freebsd5.4-gcc -g -O2   -DHAVE_CONFIG_H    -I./include -I/usr/ports/devel/apr/work/apr-1.2.2/include/arch/unix -I./include/arch/unix -I/usr/ports/devel/apr/work/apr-1.2.2/include  -o misc/unix/rand.lo -c misc/unix/rand.c && touch misc/unix/rand.lo
In file included from /usr/include/uuid.h:34,
                 from misc/unix/rand.c:42:
/usr/include/sys/uuid.h:70: conflicting types for `uuid_t'
/usr/local/include/uuid/uuid.h:42: previous declaration of `uuid_t'
In file included from misc/unix/rand.c:42:
/usr/include/uuid.h:49: conflicting types for `uuid_compare'
/usr/local/include/uuid/uuid.h:71: previous declaration of `uuid_compare'
misc/unix/rand.c: In function `apr_os_uuid_get':
misc/unix/rand.c:68: incompatible type for argument 1 of `uuid_generate'
misc/unix/rand.c:70: incompatible type for argument 2 of `memcpy'
gmake[1]: *** [misc/unix/rand.lo] Fehler 1
gmake[1]: Leaving directory `/usr/ports/devel/apr/work/apr-1.2.2'
gmake: *** [all-recursive] Fehler 1
*** Error code 2


/usr/local/include/uuid/uuid.h is a header installed by the e2fsprogs port.

How-To-Repeat: Install sysutils/e2fsprogs, then try to install devel/apr-svn.
Comment 1 Edwin Groothuis freebsd_committer 2005-11-02 19:54:20 UTC
Maintainer of devel/apr,

Please note that PR ports/88406 just has been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/88406

-- 
Edwin Groothuis
edwin@FreeBSD.org
Comment 2 Michael Nottebrock freebsd_committer 2005-11-02 20:22:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rodrigc

Maintainer *is* a committer.
Comment 3 Michael Nottebrock freebsd_committer 2005-11-02 20:28:52 UTC
N.B. This was actually observed with devel/apr-svn. I haven't checked whether 
it also happens with devel-apr.
Comment 4 Craig Rodrigues freebsd_committer 2005-11-03 01:37:11 UTC
State Changed
From-To: open->feedback

Can you verify that the patch that I committed to this port works for you?
Comment 5 Michael Nottebrock freebsd_committer 2005-11-03 11:12:02 UTC
Still fails, but with less errors now:

/usr/local/bin/bash /usr/ports/devel/apr-svn/work/apr-1.2.2/libtool --silent 
--mode=compile i386-portbld-freebsd5.4-gcc -g -O2   -DHAVE_CONFIG_H    
-I./include -I/usr/ports/devel/apr-svn/work/apr-1.2.2/include/arch/unix 
-I./include/arch/unix -I/usr/ports/devel/apr-svn/work/apr-1.2.2/include  -o 
misc/unix/rand.lo -c misc/unix/rand.c && touch misc/unix/rand.lo
misc/unix/rand.c: In function `apr_os_uuid_get':
misc/unix/rand.c:69: incompatible type for argument 2 of `memcpy'
gmake[1]: *** [misc/unix/rand.lo] Fehler 1
gmake[1]: Leaving directory `/usr/ports/devel/apr-svn/work/apr-1.2.2'
gmake: *** [all-recursive] Fehler 1
*** Error code 2

Stop in /usr/ports/devel/apr-svn
Comment 6 Craig Rodrigues freebsd_committer 2006-06-05 06:46:43 UTC
State Changed
From-To: feedback->closed

Should be fixed in apr-1.2.7